[INACTIVE][ADMN/INFO] BukkitUpdater v0.2.7.57 - Shows outdated plugins and more [1060]

Discussion in 'Inactive/Unsupported Plugins' started by zauberstuhl y33, Jul 19, 2011.

  1. Offline

    zauberstuhl y33

    wassilij and BadgerLove like this.
  2. Offline

    cisco211

    Nice plugin, and hell yes it works with my plugin :)
     
  3. Offline

    Kozzy68

    Hi nice plugin but seems not finished yet. How offten does it connect to check for updates or is only when we reuest it ?
    Every user can use all commands it seems. When you type u2d in console it will make java null ex.
    Where is it connecting to and how to find out update status ?
     
  4. Offline

    V10lator

    Server restart (not reload) fixed this. :)
     
  5. Offline

    Kozzy68

    I had same issue and it went away after restart and it got back after another. ...
     
  6. Offline

    zauberstuhl y33

    console support is in version 0.2.1 available.

    the problem is fixed in version 0.2.1
     
  7. Offline

    LeonidasPL

    Okay.
    So I have updated ItemDetector. When I reloaded server, it was still showing that ItemDetector is not updated.
    When I looked to the console, it was showing that ItemDetector is still 1.0.
    Sorry if my english is not too good : p
     
  8. Offline

    Kozzy68

    thanks latest ver is much better.
    If it could also list plugins installed but not supported by updater I would give it 10/10. (Or installed and supported as you preffer)
     
  9. Offline

    zauberstuhl y33

    I found the failure.
    Have a look here...
    The plugin developer of ItemDetector has forgotten to change the version number.
    So my plugin works correct ;)

    ah your right that would be very nice i added it to the feature request. thanks
     
  10. Offline

    LeonidasPL

    Oh, so I have to do this manualy : p
    Thx!
     
  11. Offline

    Cognito guy

    Can you explain the token system?

    Also: It doesn't show an (L) behind bukkitupdater

    And: I'm pretty sure I've got the latest version of regios but it still says there's an update...
     
  12. Offline

    zauberstuhl y33

    I'll add a FAQ later :)
    With the token you can submit static links on the following webpage.
    also there are a few global links e.g. BukkitUpdater.

    that's serious .. which version of BukkitUpdater is still running on your server?

    yes it was a bug on my server... i fixed that. in the next few hours the Regios-plugin should displayed as "up to date".

    cheers
     
  13. Offline

    V10lator

    I still posted in your profile but didn't get a reply so I'm trying it here again:
    I have a few questions:
    1. What must a plugin developper do to get his/her plugins supported?
    2. Can I have the sources?
    3. Which licence are you using?

    //EDIT: /u2d showed me a new BukkitUpdater version so I tried to update with "/u2d update BukkitPlugin". After that I did a /reload and a new u2d:
    Code:
    2011-07-22 18:00:22 [SEVERE] null
    org.bukkit.command.CommandException: Unhandled exception executing command 'u2d' in plugin BukkitUpdater v0.2.0
    	at org.bukkit.command.PluginCommand.execute(PluginCommand.java:37)
    	at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:129)
    	at org.bukkit.craftbukkit.CraftServer.dispatchCommand(CraftServer.java:320)
    	at net.minecraft.server.NetServerHandler.handleCommand(NetServerHandler.java:713)
    	at net.minecraft.server.NetServerHandler.chat(NetServerHandler.java:677)
    	at net.minecraft.server.NetServerHandler.a(NetServerHandler.java:670)
    	at net.minecraft.server.Packet3Chat.a(Packet3Chat.java:33)
    	at net.minecraft.server.NetworkManager.b(NetworkManager.java:226)
    	at net.minecraft.server.NetServerHandler.a(NetServerHandler.java:85)
    	at net.minecraft.server.NetworkListenThread.a(SourceFile:105)
    	at net.minecraft.server.MinecraftServer.h(MinecraftServer.java:451)
    	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:361)
    	at net.minecraft.server.ThreadServerApplication.run(SourceFile:422)
    Caused by: java.lang.NullPointerException
    	at zauberstuhl.BukkitUpdater.BukkitUpdater.onCommand(BukkitUpdater.java:58)
    	at org.bukkit.command.PluginCommand.execute(PluginCommand.java:35)
    	... 12 more
    You see the versions numer: It's the old. And the NPE is back at BukkitUpdater.java:58
     
  14. Offline

    zauberstuhl y33

    1) post the plugin under the submission section from bukkit.org (i'm not sure whether i understand you correctly)
    2) they are now available here ...
    3) GNU :D no i'm joking what licence do u mean =?

    the correct command would be "/u2d update BukkitUpdater".
    do u have the version 0.2.3 actually ? and tried to update from version 0.2.1?

    regards
     
  15. Offline

    V10lator

    1. So All Plugins submitted here will get automatically supported from your plugin? I thought it needs something like a static link for the newest version?
    2. Thanks a lot. :)
    3. GNU GPL for example :D or just publicDomain or something else... the license for using the source code. ;)
    I tried to update from 0.2.0 to 0.2.1. It was "/u2d update BukkitUpdater" I made a mistake while posting.

    Oh, and I tried to update again right now. You need a check for permissions (linux):
    Code:
    2011-07-22 20:31:40 [SEVERE] java.io.FileNotFoundException: /var/lib/minecraft/main/plugins/BukkitUpdater.jar (Permission denied)
    2011-07-22 20:31:40 [SEVERE] 	at java.io.FileOutputStream.open(Native Method)
    2011-07-22 20:31:40 [SEVERE] 	at java.io.FileOutputStream.<init>(FileOutputStream.java:209)
    2011-07-22 20:31:40 [SEVERE] 	at java.io.FileOutputStream.<init>(FileOutputStream.java:99)
    2011-07-22 20:31:40 [SEVERE] 	at zauberstuhl.BukkitUpdater.BukkitUpdaterDownloader.update(BukkitUpdaterDownloader.java:33)
    2011-07-22 20:31:40 [SEVERE] 	at zauberstuhl.BukkitUpdater.BukkitUpdater.onCommand(BukkitUpdater.java:78)
    2011-07-22 20:31:40 [SEVERE] 	at org.bukkit.command.PluginCommand.execute(PluginCommand.java:35)
    2011-07-22 20:31:40 [SEVERE] 	at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:129)
    2011-07-22 20:31:40 [SEVERE] 	at org.bukkit.craftbukkit.CraftServer.dispatchCommand(CraftServer.java:320)
    2011-07-22 20:31:40 [SEVERE] 	at net.minecraft.server.NetServerHandler.handleCommand(NetServerHandler.java:713)
    2011-07-22 20:31:40 [SEVERE] 	at net.minecraft.server.NetServerHandler.chat(NetServerHandler.java:677)
    2011-07-22 20:31:40 [SEVERE] 	at net.minecraft.server.NetServerHandler.a(NetServerHandler.java:670)
    2011-07-22 20:31:40 [SEVERE] 	at net.minecraft.server.Packet3Chat.a(Packet3Chat.java:33)
    2011-07-22 20:31:40 [SEVERE] 	at net.minecraft.server.NetworkManager.b(NetworkManager.java:226)
    2011-07-22 20:31:40 [SEVERE] 	at net.minecraft.server.NetServerHandler.a(NetServerHandler.java:85)
    2011-07-22 20:31:40 [SEVERE] 	at net.minecraft.server.NetworkListenThread.a(SourceFile:105)
    2011-07-22 20:31:40 [SEVERE] 	at net.minecraft.server.MinecraftServer.h(MinecraftServer.java:451)
    2011-07-22 20:31:40 [SEVERE] 	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:361)
    2011-07-22 20:31:40 [SEVERE] 	at net.minecraft.server.ThreadServerApplication.run(SourceFile:422)
    (should still be from 0.2.0)
     
  16. Offline

    zauberstuhl y33

    my server script checked every 2 minutes the bukkit.org-page for new versions and new plugins.
    the problem is to find the static link for the plugin. so i use the token-system.

    i added the GNU GPL to the source code (github)

    oh yes i see i'll add a permission check
     
  17. Offline

    V10lator

    I started to read the source.
    And I have a problem.
    You're fetching the plugins to the server which replies which ones are outdated (reply: "supported"), which ones are unsupported (reply: "unsupported") and which ones are up2date and/or unsupported (reply "false").
    All my not-yet-released plugins are supported (false), for example.

    You have to change this on the server-side, right?
     
  18. Keep up the great work. Love this thing. Only issue I have is it keeps saying LWC 3.30 is in need of updating though I have already updated it.
     
  19. Offline

    V10lator

  20. Offline

    zauberstuhl y33

    thats a problem the plugin will display ingame the version 3.40-dev but on my database the version 3.30 (from here...) is the correct one...

    i can't fix this cause my scripts works fine sorry but
    one of the feature request was a blacklist for plugins maybe this can help (version 0.2.5)

    right :)
     
  21. Offline

    mrweqa

    Hi, really like the interface and the lightweight programming of the plugin, but one question. Where do I get the static link? :)
     
  22. Offline

    waf

    bit confused, what exactly is a "supported plugin" in this context? (since you do say, "The clue is that almost all plugins(from bukkit) are supported by the BukkitUpdater.") yet, there are many, many plugins not on your list on your website. Do we need to ask you to add a plugin to your supported plugins list?
     
  23. Offline

    zauberstuhl y33

    it needs some time to fetch all plugin data from bukkit.org. also i'm currently working for a website-based form to submit not tracked plugins.

    thanks :) sometimes the plugin-developer post a static link e.g. Stargate
    "static" means it is not influenced by version numbers


    regards
     
  24. Offline

    mrweqa

    Oh right, thanks :) I seem to have problems with your token maker tho :/ Whenever I use it, it comes up with error's, can you make the token maker not connect to our server and just generate the token? If it doesn't connect to the server (it generates a token) it never seems to work for me :/

    Oh god I feel awfully stupid, I never entered the token thinking that it would appear when I pressed add link and then I add it to token.txt :/ Very sorry!

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 17, 2016
  25. Offline

    V10lator

    So a plugin needs a static link or it won't be suppported? Than I have to change my upload/release strategy. :D
     
  26. Offline

    zauberstuhl y33

    nono you misunderstand me. not every supported plugin has a static link

    it is very difficulty to find out which link belongs to which plugin.
    so for my opinion it was easier to say everyone can add there own links via a uuid(token) to database.

    at the moment there are only two global links ;) Stargate and BukkitUpdater of course :D
    regards
     
  27. Offline

    Zerafas

    "You can update only plugins with the (L) behind the name". What does that even mean? can you give an example of how to update something. Running 0.2.4
     
  28. Offline

    V10lator

    Okay, now things are clearer. :D

    I hope you find a good way for adding new global plugins, soon. An idea I have right now would be: Parse the thread title (it has a standartised format) to find out the plugin name + version and then parse the first post for links to jar files with plugin name and version in the URL. If you find only one: Got It! ;)
    But I think I have that Idea only because all my plugins releases use such a sheme. :D

    [EDIT]Alternatively you could parse for Download (or better <b>Download and search a link maximum 3 lines (or so) under it.[/EDIT]

    /u2d
    if you see a plugin with (L) behin it's name in the list of outdated plugins:
    /u2d update PluginName
    and after BukkitUpdater finished:
    /reload

    For Stargate this would be:
    /u2d
    BlaBla
    Stargate (L)
    /u2d update Stargate
    Bla, Bla
    /reload

    Please note that BlaBla isnt the real output of the plugin but my server... ehm... won't work right now... so I can't check the real output fast ;)
     
  29. Offline

    Zerafas

    ;) No prob. one thing tho, i dnt get any of those (L) things next to any of my plugins when i list them.
     
  30. Offline

    pontuzz

    Does this supportPermissions bukkit and superperms??
     
  31. Offline

    zauberstuhl y33

    not at the moment. but i added this as feature request. thanks
     

Share This Page